pspp-output(1)

NAME
pspp-output - convert and operate on SPSS viewer (SPV) files

SYNOPSIS
pspp-output detect file
pspp-output [options] dir file
pspp-output [options] convert source destination
pspp-output [options] get-table-look source destination
pspp-output [options] convert-table-look source destination
pspp-output --help | -h
pspp-output --version | -v

DESCRIPTION

pspp-output is a command-line utility accompanying PSPP. It supports multiple operations on SPSS viewer or .spv files, here called SPV files. SPSS 16 and later writes SPV files to represent the contents of its output editor.

SPSS 15 and earlier versions instead use .spo files. pspp-output does not support this format.

pspp-output has a number of subcommands, documented separately below. pspp-output also has several undocumented command forms that developers may find useful for debugging.

  The detect command
When invoked as pspp-output detect file, pspp-output reads enough of file to determine whether it is an SPV file. If so, it exits successfully without outputting anything. When file is not an SPV file or if some other error occurs, pspp-output prints an error message and exits with a failure indication.

  The dir command
When invoked as pspp-output dir file, pspp-output prints on stdout a table of contents for SPV file file. By default, this table lists every object in the file, except for hidden objects. See the Input Selection Options section below for information on the options available to select a subset of objects.

The following additional option for dir is intended mainly for use by PSPP developers:

--member-names
    Also show the names of the Zip members associated with each object.

  The convert command
When invoked as pspp-output convert source destination, pspp-output reads the SPV file source and converts it to another format, writing the output to destination.

By default, pspp-output infers the intended format for destination from its extension. The known extensions are generally: csv html list odt pdf ps spv svg txt. Use --help to see an accurate list, since a given installation might be built without support for some formats.

See the Input Selection Options section below for information on the options available to select a subset of objects to include in the output. The following additional options are accepted:

-O format=format
    Overrides the format inferred from the output file's extension. format must be one of the extensions listed above.

-O option=value
    Sets an option for the output file format. Refer to the PSPP manual for details of the available output options.

-F  By default, if the source is corrupt or otherwise cannot be processed, the destination is not written. These option make pspp-output write the output as best it can, even with errors.

--table-look=file
    Reads a table style from file and applies it to all of the output tables. The file should a TableLook .stt or .tlo file.

--use-page-setup
    By default, the convert command uses the default page setup (for example, page size and margins) for destination, or the one specified with -O options, if any. Specify this option to ignore these sources of page setup in favor of the one embedded in the SPV, if any.

  The get-table-look command
When invoked as pspp-output get-table-look source destination, pspp-output reads SPV file source, applies any selection options (as described under Input Selection Options below), picks the first table from the selected object, extracts the TableLook from that table, and writes it to destination (typically with an .stt extension) in the TableLook XML format.

Use - for source to instead write the default look to destination.

The user may use the TableLook file to change the style of tables in other files, by passing it to the --table-look option on the convert command.

  The convert-table-look command
When invoked as pspp-output convert-table-look source destination, pspp-output reads .stt or .tlo file source, and writes it back to destination (typically with an .stt extension) in the TableLook XML format. This is useful for converting a TableLook .tlo file from SPSS 15 or earlier into the newer .stt format.

  Input Selection Options
The dir and convert commands, by default, operate on all of the objects in the source SPV file, except for objects that are not visible in the output viewer window. The user may specify these options to select a subset of the input objects. When multiple options are used, only objects that satisfy all of them are selected:

--select=[^]class...
    Include only objects of the given class; with leading ^, include only objects not in the class. Use commas to separate multiple classes. The supported classes are:

        charts headings logs models tables texts trees warnings outlineheaders pagetitle notes unknown other

    Use --select=help to print this list of classes.

--commands=[^]command...
    Include only objects with the specified command, subtype, or label. With a leading ^, include only the objects that do not match. Multiple values may be specified separated by commas. An asterisk at the end of a value acts as a wildcard.

    The --command option matches command identifiers, case insensitively. All of the objects produced by a single command use the same, unique command identifier. Command identifiers are always in English regardless of the language used for output. They often differ from the command name in PSPP syntax. Use the pspp-output program's dir command to print command identifiers in particular output.

    The --subtypes option matches particular tables within a command, case insensitively. Subtypes are not necessarily unique: two commands that produce similar output tables may use the same subtype. Subtypes are always in English and dir will print them.

    The --labels option matches the labels in table output (that is, the table titles). Labels are affected by the output language, variable names and labels, split file settings, and other factors.

--nth-commands=n...
    Include only objects from the nth command that matches --commands (or the nth command overall if --commands is not specified), where n is 1 for the first command, 2 for the second, and so on.

--instances=instance...
    Include the specified instance of an object that matches the other criteria within a single command. The instance may be a number (1 for the first instance, 2 for the second, and so on) or last for the last instance.

--show-hidden
    Include hidden output objects in the output. By default, they are excluded.

--or
    Separates two sets of selection options. Objects selected by either set of options are included in the output.

The following additional input selection options are intended mainly for use by PSPP developers:

--errors
    Include only objects that cause an error when read. With the convert command, this is most useful in conjunction with the --force option.

--members=member...
    Include only the objects that include a listed Zip file member. More than one name may be included, comma-separated. The members in an SPV file may be listed with the dir command by adding the --show-members option or with the zipinfo program included with many operating systems. Error messages that pspp-output prints when it reads SPV files also often include member names.

--member-names
    Displays the name of the Zip member or members associated with each object just above the object itself.

OPTIONS

-h  Prints a usage message on stdout and exits.

-v  Prints version information on stdout and exits.

AUTHORS
Ben Pfaff.

SEE ALSO
pspp-convert(1), pspp(1), psppire(1).